d-rats crashed with ImportError in /usr/lib/pymodules/python2.7/d_rats/mainwindow.py: No module named glade

Bug #917204 reported by sv4ffb on 2012-01-16
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
d-rats (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Saucy
High
Unassigned
Trusty
High
Unassigned

Bug Description

[Impact]
d-rats crashes upon opening due to python-glade2 not being listed in the package's Depends.

[Test Case]
Make sure python-glade2 is not installed, and then install d-rats and run it from the command line:
$ d-rats

It will crash.

[Regression Potential]
None. This is just a new dependency.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: d-rats 0.3.3-3
ProcVersionSignature: Ubuntu 3.2.0-9.16-generic 3.2.1
Uname: Linux 3.2.0-9-generic x86_64
ApportVersion: 1.90-0ubuntu2
Architecture: amd64
Date: Mon Jan 16 17:17:52 2012
ExecutablePath: /usr/bin/d-rats
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120116)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/d-rats
PythonArgs: ['/usr/bin/d-rats']
SourcePackage: d-rats
Title: d-rats crashed with ImportError in /usr/lib/pymodules/python2.7/d_rats/mainwindow.py: No module named glade
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

sv4ffb (sv4ffb) wrote :
tags: removed: need-duplicate-check
Changed in d-rats (Ubuntu):
importance: Undecided → Medium
Logan Rosen (logan) on 2014-02-23
information type: Private → Public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in d-rats (Ubuntu):
status: New → Confirmed
Logan Rosen (logan) on 2014-02-23
Changed in d-rats (Ubuntu):
status: Confirmed → Triaged
description: updated
Changed in d-rats (Ubuntu Trusty):
importance: Medium → High
Changed in d-rats (Ubuntu Saucy):
status: New → Triaged
importance: Undecided → High
Changed in d-rats (Ubuntu Quantal):
status: New → Triaged
importance: Undecided → High
Changed in d-rats (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Logan Rosen (logan) on 2014-02-23
Changed in d-rats (Ubuntu Saucy):
status: Triaged → In Progress
Changed in d-rats (Ubuntu Quantal):
status: Triaged → In Progress
Changed in d-rats (Ubuntu Precise):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package d-rats - 0.3.3-3ubuntu1

---------------
d-rats (0.3.3-3ubuntu1) trusty; urgency=medium

  * Depend on python-glade2 to fix crash upon opening (LP: #917204).
 -- Logan Rosen <email address hidden> Sat, 22 Feb 2014 23:16:02 -0500

Changed in d-rats (Ubuntu Trusty):
status: Triaged → Fix Released

Hello sv4ffb, or anyone else affected,

Accepted d-rats into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/d-rats/0.3.3-3ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in d-rats (Ubuntu Saucy):
status: In Progress → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello sv4ffb, or anyone else affected,

Accepted d-rats into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/d-rats/0.3.3-3ubuntu0.0.12.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in d-rats (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in d-rats (Ubuntu Precise):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello sv4ffb, or anyone else affected,

Accepted d-rats into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/d-rats/0.3.3-3ubuntu0.0.12.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Bartosz Kosiorek (gang65) wrote :

The dependencies for python-glade2 are met for d-rats from proposed

tags: added: verification-done-precise
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package d-rats - 0.3.3-3ubuntu0.0.12.04.1

---------------
d-rats (0.3.3-3ubuntu0.0.12.04.1) precise-proposed; urgency=medium

  * Depend on python-glade2 to fix crash upon opening (LP: #917204).
 -- Logan Rosen <email address hidden> Sat, 22 Feb 2014 23:16:02 -0500

Changed in d-rats (Ubuntu Precise):
status: Fix Committed → Fix Released
tags: added: verification-needed-quantal verification-needed-saucy
removed: verification-needed
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in d-rats (Ubuntu Quantal):
status: Fix Committed → Won't Fix
Rolf Leggewie (r0lf) wrote :

saucy has seen the end of its life and is no longer receiving any updates. Marking the saucy task for this ticket as "Won't Fix".

Changed in d-rats (Ubuntu Saucy):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers